Package org.apache.cayenne.access.types

# Class CharacterValueType

java.lang.Object
org.apache.cayenne.access.types.CharacterValueType

All Implemented Interfaces:
  `ValueObjectType<Character,String>`

public class CharacterValueType extends Object implements ValueObjectType<Character,String>
This is char and Character type mapped to zero or one char String.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacterValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `fromJavaObject(Character object)`
  `Class<String>`
  `getTargetType()`
  `Class<Character>`
  `getValueType()`
  `String`
  `toCacheKey(Character object)`
  Returned value should be same for objects that is logically equal.
  `Character`
  `toJavaObject(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cayenne.access.types.ValueObjectType

  `equals`

- ## Constructor Details

  - ### CharacterValueType

    public CharacterValueType()

- ## Method Details

  - ### getTargetType

    public Class<String> getTargetType()
    Specified by:
      `getTargetType` in interface `ValueObjectType<Character,String>`
    Returns:
      base type used to serialize V objects to.

  - ### getValueType

    public Class<Character> getValueType()
    Specified by:
      `getValueType` in interface `ValueObjectType<Character,String>`
    Returns:
      type of Objects described by this ValueObjectType.

  - ### toJavaObject

    public Character toJavaObject(String value)
    Specified by:
      `toJavaObject` in interface `ValueObjectType<Character,String>`
    Parameters:
      `value` - of type T
    Returns:
      java object

  - ### fromJavaObject

    public String fromJavaObject(Character object)
    Specified by:
      `fromJavaObject` in interface `ValueObjectType<Character,String>`
    Parameters:
      `object` - java object
    Returns:
      value of type T

  - ### toCacheKey

    public String toCacheKey(Character object)
    Description copied from interface: `ValueObjectType`
    Returned value should be same for objects that is logically equal.
    Specified by:
      `toCacheKey` in interface `ValueObjectType<Character,String>`
    Returns:
      String representation usable for cache.